Subject: bug#53141: installer failed in mkfs.ext4 when installing to the same USB drive

From: Mathieu Othacehe <[email-masked]>
Date: Tue, 11 Jan 2022 10:48:52 +0100

Hello,

>> I'm installing from a USB thumb drive. I'd like to use the thumb drive
>> as the disk for the machine. The installer gave me the option to do
>> so, but then it crashed.

Christine is right, in that case you might prefer to use "guix system
image" to create directly a bootable image that suits you.

>> I can imagine that installing on the installation media is not
>> supported. Perhaps the installer should have prevented me from doing
>> so?

Yes indeed. The latest installer available here:
https://guix.gnu.org/en/download/latest/ should hide the installation
media in the device selection page. It would be great if you could
confirm it.

Thanks,

Mathieu